[aliases]
n0=checktop20 {
n1=  var %scr 1 
n2=  set %top1score 0 | set %top2score 0 | set %top3score 0 | set %top4score 0 | set %top5score 0 | set %top6score 0 |  set %top7score 0 | set %top8score 0  | set %top9score  0 | set %top10score  0
n3=  set %top1winr * | set %top2winr * | set %top3winr * | set %top4winr * |  set %top5winr * | set %top6winr * | set %top7winr * | set %top8winr * |  set %top9winr * | set %top10winr *
n4=  set %top11score 0 | set %top12score 0 | set %top13score 0 | set %top14score 0 | set %top15score 0 | set %top16score 0 |  set %top17score 0 | set %top18score 0  | set %top19score  0 | set %top20score  0
n5=  set %top11winr * | set %top12winr * | set %top13winr * | set %top14winr * |  set %top15winr * | set %top16winr * | set %top17winr * | set %top18winr * |  set %top19winr * | set %top20winr *  
n6=  :next
n7=  var %scr2 =  $read -l $+ %scr $mircdirscores/scrfyle.tsc
n8=  var %len1 = $len(%scr2)
n9=  if ( $pos(%scr2,=,1) == $null ) {  goto nxt }
n10=  var %pos1 = $pos(%scr2,=,1)
n11=  var %right1 =  %len1 - %pos1 | var %left1 = $calc(%len1 - %right1 - 1)
n12=  var %scrnick = $replace($left(%scr2,%left1),',[,",]) | var %scrchk = $right(%scr2,%right1)
n13=  if ( $abs(%scrchk) == 0 ) { goto nxt }
n14=
n15=  if ( %scrchk >= %top1score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %top4score | %top4score = %top3score |  %top3score = %top2score |  %top2score = %top1score | %top1score = %scrchk 
n16=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %top4winr | %top4winr = %top3winr |  %top3winr = %top2winr |  %top2winr = %top1winr | %top1winr = %scrnick |  inc %scr 1 |  goto next }
n17=
n18=  if ( %scrchk >= %top2score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %top4score | %top4score = %top3score |  %top3score = %top2score |  %top2score = %scrchk 
n19=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %top4winr | %top4winr = %top3winr |  %top3winr = %top2winr |  %top2winr = %scrnick | inc %scr 1 |  goto next }
n20=
n21=  if ( %scrchk >= %top3score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %top4score | %top4score = %top3score |  %top3score =  %scrchk 
n22=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %top4winr | %top4winr = %top3winr |  %top3winr = %scrnick | inc %scr 1 |  goto next }
n23=
n24=  if ( %scrchk >= %top4score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %top4score | %top4score =  %scrchk 
n25=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %top4winr | %top4winr = %scrnick | inc %scr 1 |  goto next }
n26=
n27=  if ( %scrchk >= %top5score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %scrchk  
n28=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %scrnick | inc %scr 1 |  goto next }
n29=
n30=  if ( %scrchk >= %top6score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %scrchk  
n31=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %scrnick | inc %scr 1 |  goto next }
n32=
n33=  if ( %scrchk >= %top7score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %scrchk  
n34=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %scrnick | inc %scr 1 |  goto next }
n35=
n36=  if ( %scrchk >= %top8score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %top8score | %top8score = %scrchk  
n37=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %top8winr | %top8winr = %scrnick | inc %scr 1 |  goto next }
n38=
n39=  if ( %scrchk >= %top9score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %top9score |  %top9score = %scrchk  
n40=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %top9winr | %top9winr = %scrnick | inc %scr 1 |  goto next }
n41=
n42=  if ( %scrchk >= %top10score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %top10score | %top10score = %scrchk  
n43=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %top10winr | %top10winr = %scrnick | inc %scr 1 |  goto next }
n44=
n45=  if ( %scrchk >= %top11score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %top11score | %top11score = %scrchk   
n46=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %top11winr | %top11winr = %scrnick | inc %scr 1 |  goto next }
n47=
n48=  if ( %scrchk >= %top12score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %top12score |  %top12score = %scrchk     
n49=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %top12winr |  %top12winr = %scrnick | inc %scr 1 |  goto next }
n50=
n51=  if ( %scrchk >= %top13score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %top13score |  %top13score = %scrchk     
n52=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %top13winr |  %top13winr = %scrnick | inc %scr 1 |  goto next }
n53=
n54=  if ( %scrchk >= %top14score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %top14score | %top14score = %scrchk     
n55=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %top14winr | %top14winr = %scrnick | inc %scr 1 |  goto next }
n56=
n57=  if ( %scrchk >= %top15score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %top15score | %top15score = %scrchk     
n58=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %top15winr | %top15winr = %scrnick | inc %scr 1 |  goto next }
n59=
n60=  if ( %scrchk >= %top16score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %top16score | %top16score = %scrchk     
n61=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %top16winr | %top16winr = %scrnick | inc %scr 1 |  goto next }
n62=
n63=  if ( %scrchk >= %top17score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %top17score |  %top17score = %scrchk     
n64=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %top17winr |  %top17winr = %scrnick | inc %scr 1 |  goto next }
n65=
n66=  if ( %scrchk >= %top18score ) { %top20score = %top19score |  %top19score = %top18score | %top18score = %scrchk     
n67=  %top20winr = %top19winr | %top19winr = %top18winr | %top18winr = %scrnick | inc %scr 1 |  goto next }
n68=
n69=  if ( %scrchk >= %top19score ) { %top20score = %top19score |  %top19score = %scrchk      
n70=  %top20winr = %top19winr | %top19winr = %scrnick | inc %scr 1 |  goto next }
n71=
n72=  if ( %scrchk >= %top20score ) { %top20score = %scrchk      
n73=  %top20winr = %scrnick | inc %scr 1 |  goto next }
n74=
n75=  :nxt 
n76=  if ( $pos(%scr2,c,1) == 2 ) && ( $pos(%scr2,$chr(91),1) == 1 ) { saveini | return }
n77=  inc %scr 1 
n78=  if $read -l $+ %scr $mircdirscores/scrfyle.tsc == $null { saveini | return  }
n79=  goto next
n80=}
n81=
n82=checktopmonth20 {
n83=  var %scr 1 
n84=  set %tp1score 0 | set %tp2score 0 | set %tp3score 0 | set %tp4score 0 | set %tp5score 0 | set %tp6score 0 |  set %tp7score 0 | set %tp8score 0  | set %tp9score  0 | set %tp10score  0
n85=  set %tp1winr * | set %tp2winr * | set %tp3winr * | set %tp4winr * |  set %tp5winr * | set %tp6winr * | set %tp7winr * | set %tp8winr * |  set %tp9winr * | set %tp10winr *
n86=  set %tp11score 0 | set %tp12score 0 | set %tp13score 0 | set %tp14score 0 | set %tp15score 0 | set %tp16score 0 |  set %tp17score 0 | set %tp18score 0  | set %tp19score  0 | set %tp20score  0
n87=  set %tp11winr * | set %tp12winr * | set %tp13winr * | set %tp14winr * |  set %tp15winr * | set %tp16winr * | set %tp17winr * | set %tp18winr * |  set %tp19winr * | set %tp20winr *
n88=  :next
n89=  var %scr2 =  $read -l $+ %scr $mircdirscores/month.tsc
n90=  var %len1 = $len(%scr2)
n91=  if ( $pos(%scr2,=,1) == $null ) { goto nxt }
n92=  var %pos1 = $pos(%scr2,=,1)
n93=  var %right1 =  %len1 - %pos1 | var %left1 = $calc(%len1 - %right1 - 1)
n94=  var %scrnick = $replace($left(%scr2,%left1),',[,",]) | var %scrchk = $right(%scr2,%right1)
n95=  if ( $abs(%scrchk) == 0 ) { goto nxt }
n96=
n97=  if ( %scrchk >= %tp1score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %tp4score | %tp4score = %tp3score |  %tp3score = %tp2score |  %tp2score = %tp1score | %tp1score = %scrchk 
n98=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %tp4winr | %tp4winr = %tp3winr |  %tp3winr = %tp2winr |  %tp2winr = %tp1winr | %tp1winr = %scrnick |  inc %scr 1 |  goto next }
n99=
n100=  if ( %scrchk >= %tp2score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %tp4score | %tp4score = %tp3score |  %tp3score = %tp2score |  %tp2score = %scrchk 
n101=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %tp4winr | %tp4winr = %tp3winr |  %tp3winr = %tp2winr |  %tp2winr = %scrnick | inc %scr 1 |  goto next }
n102=
n103=  if ( %scrchk >= %tp3score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %tp4score | %tp4score = %tp3score |  %tp3score =  %scrchk 
n104=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %tp4winr | %tp4winr = %tp3winr |  %tp3winr = %scrnick | inc %scr 1 |  goto next }
n105=
n106=  if ( %scrchk >= %tp4score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %tp4score | %tp4score =  %scrchk 
n107=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %tp4winr | %tp4winr = %scrnick | inc %scr 1 |  goto next }
n108=
n109=  if ( %scrchk >= %tp5score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %scrchk  
n110=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %scrnick | inc %scr 1 |  goto next }
n111=
n112=  if ( %scrchk >= %tp6score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %scrchk  
n113=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %scrnick | inc %scr 1 |  goto next }
n114=
n115=  if ( %scrchk >= %tp7score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %scrchk  
n116=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %scrnick | inc %scr 1 |  goto next }
n117=
n118=  if ( %scrchk >= %tp8score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %scrchk  
n119=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %tp8winr | %tp8winr = %scrnick | inc %scr 1 |  goto next }
n120=
n121=  if ( %scrchk >= %tp9score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %tp9score |  %tp9score = %scrchk  
n122=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %tp9winr | %tp9winr = %scrnick | inc %scr 1 |  goto next }
n123=
n124=  if ( %scrchk >= %tp10score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %tp10score | %tp10score = %scrchk  
n125=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %tp10winr | %tp10winr = %scrnick | inc %scr 1 |  goto next }
n126=
n127=  if ( %scrchk >= %tp11score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %tp11score | %tp11score = %scrchk   
n128=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %tp11winr | %tp11winr = %scrnick | inc %scr 1 |  goto next }
n129=
n130=  if ( %scrchk >= %tp12score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %tp12score |  %tp12score = %scrchk     
n131=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %tp12winr |  %tp12winr = %scrnick | inc %scr 1 |  goto next }
n132=
n133=  if ( %scrchk >= %tp13score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %tp13score |  %tp13score = %scrchk     
n134=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %tp13winr |  %tp13winr = %scrnick | inc %scr 1 |  goto next }
n135=
n136=  if ( %scrchk >= %tp14score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %tp14score | %tp14score = %scrchk     
n137=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %tp14winr | %tp14winr = %scrnick | inc %scr 1 |  goto next }
n138=
n139=  if ( %scrchk >= %tp15score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %tp15score | %tp15score = %scrchk     
n140=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %tp15winr | %tp15winr = %scrnick | inc %scr 1 |  goto next }
n141=
n142=  if ( %scrchk >= %tp16score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %tp16score | %tp16score = %scrchk     
n143=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %tp16winr | %tp16winr = %scrnick | inc %scr 1 |  goto next }
n144=
n145=  if ( %scrchk >= %tp17score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %tp17score |  %tp17score = %scrchk     
n146=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %tp17winr |  %tp17winr = %scrnick | inc %scr 1 |  goto next }
n147=
n148=  if ( %scrchk >= %tp18score ) { %tp20score = %tp19score |  %tp19score = %tp18score | %tp18score = %scrchk     
n149=  %tp20winr = %tp19winr | %tp19winr = %tp18winr | %tp18winr = %scrnick | inc %scr 1 |  goto next }
n150=
n151=  if ( %scrchk >= %tp19score ) { %tp20score = %tp19score |  %tp19score = %scrchk      
n152=  %tp20winr = %tp19winr | %tp19winr = %scrnick | inc %scr 1 |  goto next }
n153=
n154=  if ( %scrchk >= %tp20score ) { %tp20score = %scrchk      
n155=  %tp20winr = %scrnick | inc %scr 1 |  goto next }
n156=
n157=  :nxt 
n158=  inc %scr 1 
n159=  if $read -l $+ %scr $mircdirscores/month.tsc == $null {  saveini | return  }
n160=  goto next
n161=}
n162=
n163=checktopjp10 {
n164=  var %scr 1 
n165=  resetjack
n166=  :next
n167=  var %scr2 =  $read -l $+ %scr $mircdirscores/jackpot.tsc
n168=  var %len1 = $len(%scr2)
n169=  if ( $pos(%scr2,=,1) == $null ) { goto nxt }
n170=  var %pos1 = $pos(%scr2,=,1)
n171=  var %right1 =  %len1 - %pos1 | var %left1 = $calc(%len1 - %right1 - 1)
n172=  var %scrnick = $replace($left(%scr2,%left1),',[,",]) | var %scrchk = $right(%scr2,%right1)
n173=  if ( $abs(%scrchk) == 0 ) { goto nxt }
n174=  if ( %scrchk >= %topjp1score ) { %topjp10score = %topjp9score |  %topjp9score = %topjp8score | %topjp8score = %topjp7score |  %topjp7score = %topjp6score | %topjp6score = %topjp5score | %topjp5score = %topjp4score | %topjp4score = %topjp3score |  %topjp3score = %topjp2score |  %topjp2score = %topjp1score | %topjp1score = %scrchk | %topjp10winr = %topjp9winr |  %topjp9winr = %topjp8winr | %topjp8winr = %topjp7winr |  %topjp7winr = %topjp6winr | %topjp6winr = %topjp5winr | %topjp5winr = %topjp4winr | %topjp4winr = %topjp3winr |  %topjp3winr = %topjp2winr |  %topjp2winr = %topjp1winr | %topjp1winr = %scrnick |  inc %scr 1 |  goto next }
n175=  if ( %scrchk >= %topjp2score ) { %topjp10score = %topjp9score |  %topjp9score = %topjp8score | %topjp8score = %topjp7score |  %topjp7score = %topjp6score | %topjp6score = %topjp5score | %topjp5score = %topjp4score | %topjp4score = %topjp3score |  %topjp3score = %topjp2score | %topjp2score = %scrchk |  %topjp10winr = %topjp9winr |  %topjp9winr = %topjp8winr | %topjp8winr = %topjp7winr |  %topjp7winr = %topjp6winr | %topjp6winr = %topjp5winr | %topjp5winr = %topjp4winr | %topjp4winr = %topjp3winr |  %topjp3winr = %topjp2winr |  %topjp2winr =  %scrnick |  inc %scr 1 |  goto next }
n176=  if ( %scrchk >= %topjp3score ) { %topjp10score = %topjp9score |  %topjp9score = %topjp8score | %topjp8score = %topjp7score |  %topjp7score = %topjp6score | %topjp6score = %topjp5score | %topjp5score = %topjp4score | %topjp4score = %topjp3score |  %topjp3score  = %scrchk |  %topjp10winr = %topjp9winr |  %topjp9winr = %topjp8winr | %topjp8winr = %topjp7winr |  %topjp7winr = %topjp6winr | %topjp6winr = %topjp5winr | %topjp5winr = %topjp4winr | %topjp4winr = %topjp3winr |  %topjp3winr = %scrnick |  inc %scr 1 |  goto next }
n177=  if ( %scrchk >= %topjp4score ) { %topjp10score = %topjp9score |  %topjp9score = %topjp8score | %topjp8score = %topjp7score |  %topjp7score = %topjp6score | %topjp6score = %topjp5score | %topjp5score = %topjp4score | %topjp4score  = %scrchk |  %topjp10winr = %topjp9winr |  %topjp9winr = %topjp8winr | %topjp8winr = %topjp7winr |  %topjp7winr = %topjp6winr | %topjp6winr = %topjp5winr | %topjp5winr = %topjp4winr | %topjp4winr = %scrnick |  inc %scr 1 |  goto next }
n178=  if ( %scrchk >= %topjp5score ) { %topjp10score = %topjp9score |  %topjp9score = %topjp8score | %topjp8score = %topjp7score |  %topjp7score = %topjp6score | %topjp6score = %topjp5score | %topjp5score = %scrchk |  %topjp10winr = %topjp9winr |  %topjp9winr = %topjp8winr | %topjp8winr = %topjp7winr |  %topjp7winr = %topjp6winr | %topjp6winr = %topjp5winr | %topjp5winr =  %scrnick |  inc %scr 1 |  goto next }
n179=  if ( %scrchk >= %topjp6score ) { %topjp10score = %topjp9score |  %topjp9score = %topjp8score | %topjp8score = %topjp7score |  %topjp7score = %topjp6score | %topjp6score =  %scrchk  | %topjp10winr = %topjp9winr |  %topjp9winr = %topjp8winr | %topjp8winr = %topjp7winr |  %topjp7winr = %topjp6winr | %topjp6winr =  %scrnick |  inc %scr 1 |  goto next }
n180=  if ( %scrchk >= %topjp7score ) { %topjp10score = %topjp9score |  %topjp9score = %topjp8score | %topjp8score = %topjp7score |  %topjp7score =  %scrchk | %topjp10winr = %topjp9winr |  %topjp9winr = %topjp8winr | %topjp8winr = %topjp7winr |  %topjp7winr =  %scrnick |  inc %scr 1 |  goto next }
n181=  if ( %scrchk >= %topjp8score ) { %topjp10score = %topjp9score |  %topjp9score = %topjp8score | %topjp8score =  %scrchk | %topjp10winr = %topjp9winr |  %topjp9winr = %topjp8winr | %topjp8winr =  %scrnick |  inc %scr 1 |  goto next }
n182=  if ( %scrchk >= %topjp9score ) { %topjp10score = %topjp9score |  %topjp9score =  %scrchk |  %topjp10winr = %topjp9winr |  %topjp9winr =  %scrnick |  inc %scr 1 |  goto next }
n183=  if ( %scrchk >= %topjp10score ) { %topjp10score  =  %scrchk | %topjp10winr  =  %scrnick |  inc %scr 1 |  goto next }
n184=  :nxt 
n185=  inc %scr 1
n186=  if $read -l $+ %scr $mircdirscores/jackpot.tsc == $null { saveini | return  }
n187=  goto next
n188=}
n189=
n190=checktop10 {
n191=  var %scr 1 
n192=  set %top1score 0 | set %top2score 0 | set %top3score 0 | set %top4score 0 | set %top5score 0 | set %top6score 0 |  set %top7score 0 | set %top8score 0  | set %top9score  0 | set %top10score  0
n193=  set %top1winr * | set %top2winr * | set %top3winr * | set %top4winr * |  set %top5winr * | set %top6winr * | set %top7winr * | set %top8winr * |  set %top9winr * | set %top10winr *
n194=  :next
n195=  var %scr2 = $read -l $+ %scr $mircdirscores/scrfyle.tsc
n196=  var %len1 = $len(%scr2)
n197=  if ( $pos(%scr2,=,1) == $null ) { goto nxt }
n198=  var %pos1 = $pos(%scr2,=,1)
n199=  var %right1 =  %len1 - %pos1 | var %left1 = $calc(%len1 - %right1 - 1)
n200=  var %scrnick = $replace($left(%scr2,%left1),',[,",]) |  var %scrchk = $right(%scr2,%right1)
n201=  if ( $abs(%scrchk) == 0 ) { goto nxt }
n202=  if ( %scrchk >= %top1score ) { %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %top4score | %top4score = %top3score |  %top3score = %top2score |  %top2score = %top1score | %top1score = %scrchk | %top10winr = %top9winr |  %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %top4winr | %top4winr = %top3winr |  %top3winr = %top2winr |  %top2winr = %top1winr | %top1winr = %scrnick |  inc %scr 1 |  goto next }
n203=  if ( %scrchk >= %top2score ) { %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %top4score | %top4score = %top3score |  %top3score = %top2score | %top2score = %scrchk |  %top10winr = %top9winr |  %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %top4winr | %top4winr = %top3winr |  %top3winr = %top2winr |  %top2winr =  %scrnick |  inc %scr 1 |  goto next }
n204=  if ( %scrchk >= %top3score ) { %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %top4score | %top4score = %top3score |  %top3score  = %scrchk |  %top10winr = %top9winr |  %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %top4winr | %top4winr = %top3winr |  %top3winr = %scrnick |  inc %scr 1 |  goto next }
n205=  if ( %scrchk >= %top4score ) { %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %top4score | %top4score  = %scrchk |  %top10winr = %top9winr |  %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr = %top4winr | %top4winr = %scrnick |  inc %scr 1 |  goto next }
n206=  if ( %scrchk >= %top5score ) { %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score = %top5score | %top5score = %scrchk |  %top10winr = %top9winr |  %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr = %top5winr | %top5winr =  %scrnick |  inc %scr 1 |  goto next }
n207=  if ( %scrchk >= %top6score ) { %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score = %top6score | %top6score =  %scrchk  | %top10winr = %top9winr |  %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr = %top6winr | %top6winr =  %scrnick |  inc %scr 1 |  goto next }
n208=  if ( %scrchk >= %top7score ) { %top10score = %top9score |  %top9score = %top8score | %top8score = %top7score |  %top7score =  %scrchk | %top10winr = %top9winr |  %top9winr = %top8winr | %top8winr = %top7winr |  %top7winr =  %scrnick |  inc %scr 1 |  goto next }
n209=  if ( %scrchk >= %top8score ) { %top10score = %top9score |  %top9score = %top8score | %top8score =  %scrchk | %top10winr = %top9winr |  %top9winr = %top8winr | %top8winr =  %scrnick |  inc %scr 1 |  goto next }
n210=  if ( %scrchk >= %top9score ) { %top10score = %top9score |  %top9score =  %scrchk |  %top10winr = %top9winr |  %top9winr =  %scrnick |  inc %scr 1 |  goto next }
n211=  if ( %scrchk >= %top10score ) { %top10score  =  %scrchk | %top10winr  =  %scrnick |  inc %scr 1 |  goto next }
n212=  :nxt 
n213=  if ( $pos(%scr2,c,1) == 2 ) && ( $pos(%scr2,$chr(91),1) == 1 ) { saveini | return }
n214=  inc %scr 1
n215=  if $read -l $+ %scr $mircdirscores/scrfyle.tsc == $null { saveini | return  }
n216=  goto next
n217=}
n218=
n219=dailytop10 {
n220=  var %scr 1 
n221=  set %dtop1score 0 | set %dtop2score 0 | set %dtop3score 0 | set %dtop4score 0 | set %dtop5score 0 | set %dtop6score 0 |  set %dtop7score 0 | set %dtop8score 0  | set %dtop9score  0 | set %dtop10score  0
n222=  set %dtop1winr * | set %dtop2winr * | set %dtop3winr * | set %dtop4winr * |  set %dtop5winr * | set %dtop6winr * | set %dtop7winr * | set %dtop8winr * |  set %dtop9winr * | set %dtop10winr *
n223=  :next
n224=  var %scr2 =  $read -l $+ %scr $mircdirscores/daily.tsc
n225=  var %len1 = $len(%scr2)
n226=  if ( $pos(%scr2,=,1) == $null ) { goto nxt }
n227=  var %pos1 = $pos(%scr2,=,1)
n228=  var %right1 =  %len1 - %pos1 | var %left1 = $calc(%len1 - %right1 - 1)
n229=  var %scrnick = $replace($left(%scr2,%left1),',[,",]) | var %scrchk = $right(%scr2,%right1)
n230=  if ( $abs(%scrchk) == 0 ) { goto nxt }
n231=  if ( %scrchk >= %dtop1score ) { %dtop10score = %dtop9score |  %dtop9score = %dtop8score | %dtop8score = %dtop7score |  %dtop7score = %dtop6score | %dtop6score = %dtop5score | %dtop5score = %dtop4score | %dtop4score = %dtop3score |  %dtop3score = %dtop2score |  %dtop2score = %dtop1score | %dtop1score = %scrchk | %dtop10winr = %dtop9winr |  %dtop9winr = %dtop8winr | %dtop8winr = %dtop7winr |  %dtop7winr = %dtop6winr | %dtop6winr = %dtop5winr | %dtop5winr = %dtop4winr | %dtop4winr = %dtop3winr |  %dtop3winr = %dtop2winr |  %dtop2winr = %dtop1winr | %dtop1winr = %scrnick |  inc %scr 1 |  goto next }
n232=  if ( %scrchk >= %dtop2score ) { %dtop10score = %dtop9score |  %dtop9score = %dtop8score | %dtop8score = %dtop7score |  %dtop7score = %dtop6score | %dtop6score = %dtop5score | %dtop5score = %dtop4score | %dtop4score = %dtop3score |  %dtop3score = %dtop2score | %dtop2score = %scrchk |  %dtop10winr = %dtop9winr |  %dtop9winr = %dtop8winr | %dtop8winr = %dtop7winr |  %dtop7winr = %dtop6winr | %dtop6winr = %dtop5winr | %dtop5winr = %dtop4winr | %dtop4winr = %dtop3winr |  %dtop3winr = %dtop2winr |  %dtop2winr =  %scrnick |  inc %scr 1 |  goto next }
n233=  if ( %scrchk >= %dtop3score ) { %dtop10score = %dtop9score |  %dtop9score = %dtop8score | %dtop8score = %dtop7score |  %dtop7score = %dtop6score | %dtop6score = %dtop5score | %dtop5score = %dtop4score | %dtop4score = %dtop3score |  %dtop3score  = %scrchk |  %dtop10winr = %dtop9winr |  %dtop9winr = %dtop8winr | %dtop8winr = %dtop7winr |  %dtop7winr = %dtop6winr | %dtop6winr = %dtop5winr | %dtop5winr = %dtop4winr | %dtop4winr = %dtop3winr |  %dtop3winr = %scrnick |  inc %scr 1 |  goto next }
n234=  if ( %scrchk >= %dtop4score ) { %dtop10score = %dtop9score |  %dtop9score = %dtop8score | %dtop8score = %dtop7score |  %dtop7score = %dtop6score | %dtop6score = %dtop5score | %dtop5score = %dtop4score | %dtop4score  = %scrchk |  %dtop10winr = %dtop9winr |  %dtop9winr = %dtop8winr | %dtop8winr = %dtop7winr |  %dtop7winr = %dtop6winr | %dtop6winr = %dtop5winr | %dtop5winr = %dtop4winr | %dtop4winr = %scrnick |  inc %scr 1 |  goto next }
n235=  if ( %scrchk >= %dtop5score ) { %dtop10score = %dtop9score |  %dtop9score = %dtop8score | %dtop8score = %dtop7score |  %dtop7score = %dtop6score | %dtop6score = %dtop5score | %dtop5score = %scrchk |  %dtop10winr = %dtop9winr |  %dtop9winr = %dtop8winr | %dtop8winr = %dtop7winr |  %dtop7winr = %dtop6winr | %dtop6winr = %dtop5winr | %dtop5winr =  %scrnick |  inc %scr 1 |  goto next }
n236=  if ( %scrchk >= %dtop6score ) { %dtop10score = %dtop9score |  %dtop9score = %dtop8score | %dtop8score = %dtop7score |  %dtop7score = %dtop6score | %dtop6score =  %scrchk  | %dtop10winr = %dtop9winr |  %dtop9winr = %dtop8winr | %dtop8winr = %dtop7winr |  %dtop7winr = %dtop6winr | %dtop6winr =  %scrnick |  inc %scr 1 |  goto next }
n237=  if ( %scrchk >= %dtop7score ) { %dtop10score = %dtop9score |  %dtop9score = %dtop8score | %dtop8score = %dtop7score |  %dtop7score =  %scrchk | %dtop10winr = %dtop9winr |  %dtop9winr = %dtop8winr | %dtop8winr = %dtop7winr |  %dtop7winr =  %scrnick |  inc %scr 1 |  goto next }
n238=  if ( %scrchk >= %dtop8score ) { %dtop10score = %dtop9score |  %dtop9score = %dtop8score | %dtop8score =  %scrchk | %dtop10winr = %dtop9winr |  %dtop9winr = %dtop8winr | %dtop8winr =  %scrnick |  inc %scr 1 |  goto next }
n239=  if ( %scrchk >= %dtop9score ) { %dtop10score = %dtop9score |  %dtop9score =  %scrchk |  %dtop10winr = %dtop9winr |  %dtop9winr =  %scrnick |  inc %scr 1 |  goto next }
n240=  if ( %scrchk >= %dtop10score ) { %dtop10score  =  %scrchk | %dtop10winr  =  %scrnick |  inc %scr 1 |  goto next }
n241=  :nxt 
n242=  inc %scr 1
n243=  if $read -l $+ %scr $mircdirscores/daily.tsc == $null { saveini | return  }
n244=  goto next
n245=}
n246=
n247=checktopmonth {
n248=  var %scr 1 
n249=  set %tp1score 0 | set %tp2score 0 | set %tp3score 0 | set %tp4score 0 | set %tp5score 0 | set %tp6score 0 |  set %tp7score 0 | set %tp8score 0  | set %tp9score  0 | set %tp10score  0
n250=  set %tp1winr * | set %tp2winr * | set %tp3winr * | set %tp4winr * |  set %tp5winr * | set %tp6winr * | set %tp7winr * | set %tp8winr * |  set %tp9winr * | set %tp10winr *
n251=  :next
n252=  var %scr2 =  $read -l $+ %scr $mircdirscores/month.tsc
n253=  var %len1 = $len(%scr2)
n254=  if ( $pos(%scr2,=,1) == $null ) { goto nxt }
n255=  var %pos1 = $pos(%scr2,=,1)
n256=  var %right1 =  %len1 - %pos1 | var %left1 = $calc(%len1 - %right1 - 1)
n257=  var %scrnick = $replace($left(%scr2,%left1),',[,",]) | var %scrchk = $right(%scr2,%right1)
n258=  if ( $abs(%scrchk) == 0 ) { goto nxt }
n259=  if ( %scrchk >= %tp1score ) { %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %tp4score | %tp4score = %tp3score |  %tp3score = %tp2score |  %tp2score = %tp1score | %tp1score = %scrchk | %tp10winr = %tp9winr |  %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %tp4winr | %tp4winr = %tp3winr |  %tp3winr = %tp2winr |  %tp2winr = %tp1winr | %tp1winr = %scrnick |  inc %scr 1 |  goto next }
n260=  if ( %scrchk >= %tp2score ) { %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %tp4score | %tp4score = %tp3score |  %tp3score = %tp2score | %tp2score = %scrchk |  %tp10winr = %tp9winr |  %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %tp4winr | %tp4winr = %tp3winr |  %tp3winr = %tp2winr |  %tp2winr =  %scrnick |  inc %scr 1 |  goto next }
n261=  if ( %scrchk >= %tp3score ) { %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %tp4score | %tp4score = %tp3score |  %tp3score  = %scrchk |  %tp10winr = %tp9winr |  %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %tp4winr | %tp4winr = %tp3winr |  %tp3winr = %scrnick |  inc %scr 1 |  goto next }
n262=  if ( %scrchk >= %tp4score ) { %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %tp4score | %tp4score  = %scrchk |  %tp10winr = %tp9winr |  %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr = %tp4winr | %tp4winr = %scrnick |  inc %scr 1 |  goto next }
n263=  if ( %scrchk >= %tp5score ) { %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score = %tp5score | %tp5score = %scrchk |  %tp10winr = %tp9winr |  %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr = %tp5winr | %tp5winr =  %scrnick |  inc %scr 1 |  goto next }
n264=  if ( %scrchk >= %tp6score ) { %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score = %tp6score | %tp6score =  %scrchk  | %tp10winr = %tp9winr |  %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr = %tp6winr | %tp6winr =  %scrnick |  inc %scr 1 |  goto next }
n265=  if ( %scrchk >= %tp7score ) { %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score = %tp7score |  %tp7score =  %scrchk | %tp10winr = %tp9winr |  %tp9winr = %tp8winr | %tp8winr = %tp7winr |  %tp7winr =  %scrnick |  inc %scr 1 |  goto next }
n266=  if ( %scrchk >= %tp8score ) { %tp10score = %tp9score |  %tp9score = %tp8score | %tp8score =  %scrchk | %tp10winr = %tp9winr |  %tp9winr = %tp8winr | %tp8winr =  %scrnick |  inc %scr 1 |  goto next }
n267=  if ( %scrchk >= %tp9score ) { %tp10score = %tp9score |  %tp9score =  %scrchk |  %tp10winr = %tp9winr |  %tp9winr =  %scrnick |  inc %scr 1 |  goto next }
n268=  if ( %scrchk >= %tp10score ) { %tp10score  =  %scrchk | %tp10winr  =  %scrnick |  inc %scr 1 |  goto next }
n269=  :nxt 
n270=  inc %scr 1 
n271=  if $read -l $+ %scr $mircdirscores/month.tsc == $null {  saveini | return  }
n272=  goto next
n273=}
